VST 3 SDK: TestBase Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Attributes | List of all members
TestBase Class Referenceabstract

Test Helper. More...

`#include <testbase.h>`

Inheritance diagram for TestBase:

## Public Member Functions
| TestBase (ITestPlugProvider *plugProvider)
virtual | ~TestBase ()
virtual const char * | getName () const =0
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE=0
bool | teardown () SMTG_OVERRIDE
virtual bool | activateMainIOBusses (bool val)
virtual void | printTestHeader (ITestResult *testResult)
Public Member Functions inherited from ITest
virtual bool | setup ()=0
virtual bool | run (ITestResult *testResult)=0
virtual bool | teardown ()=0
virtual const char * | getDescription ()
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Attributes
ITestPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Additional Inherited Members
Static Public Attributes inherited from ITest
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Test Helper.

## Constructor & Destructor Documentation

## ◆ TestBase()

TestBase | ( | ITestPlugProvider * | plugProvider | ) |

## ◆ ~TestBase()

~TestBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getName()

virtual const char * getName | ( |  | ) | const
| pure virtual

## ◆ setup()

bool setup | ( |  | ) |
| virtual

Implements ITest.

Reimplemented in TestEnh.

## ◆ run()

bool run | ( | ITestResult * |  | ) |
| pure virtual

Implements ITest.

## ◆ teardown()

bool teardown | ( |  | ) |
| virtual

Implements ITest.

Reimplemented in TestEnh.

## ◆ activateMainIOBusses()

bool activateMainIOBusses | ( | bool | val | ) |
| virtual

## ◆ printTestHeader()

void printTestHeader | ( | ITestResult * | testResult | ) |
| virtual

## Member Data Documentation

## ◆ plugProvider

ITestPlugProvider* plugProvider
| protected

## ◆ vstPlug

IComponent* vstPlug
| protected

## ◆ controller

IEditController* controller
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.